package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-06-26
 * @description : 回传类型枚举
 */
@Getter
@AllArgsConstructor
public enum CallBackTypeEnum {

    //--------------- 公共回传事件 ---------------

    /**
     * 注册
     */
    CALL_BACK_REGISTER("CALL_BACK_REGISTER"),

    /**
     * 付费
     */
    CALL_BACK_PAY_ORDER("CALL_BACK_PAY_ORDER"),

    //--------------- 腾讯小游戏回传事件 ---------------

    /**
     * 平台SDK初始化
     */
    CALL_BACK_PLATFORM_SDK_INIT("CALL_BACK_PLATFORM_SDK_INIT"),

    /**
     * 设置openid
     */
    CALL_BACK_SET_OPEN_ID("CALL_BACK_SET_OPEN_ID"),

    /**
     * 沉默唤起
     */
    CALL_BACK_RE_ACTIVE("CALL_BACK_RE_ACTIVE"),

    /**
     * 创角
     */
    CALL_BACK_CREATE_ROLE("CALL_BACK_CREATE_ROLE"),

    /**
     * 完成新手引导
     */
    CALL_BACK_TUTORIAL_FINISH("CALL_BACK_TUTORIAL_FINISH"),

    /**
     * 游戏等级提升
     */
    CALL_BACK_UPDATE_LEVEL("CALL_BACK_UPDATE_LEVEL"),

    /**
     * 收藏小游戏
     */
    CALL_BACK_ADD_TO_WISHLIST("CALL_BACK_ADD_TO_WISHLIST"),

    /**
     * 分享-转发给朋友
     */
    CALL_BACK_ON_SHARE_APP_MESSAGE("CALL_BACK_ON_SHARE_APP_MESSAGE"),

    /**
     * 分享-朋友圈
     */
    CALL_BACK_ON_SHARE_TIME_LINE("CALL_BACK_ON_SHARE_TIME_LINE"),

    /**
     * 浏览商城页面
     */
    CALL_BACK_VIEW_CONTENT_MALL("CALL_BACK_VIEW_CONTENT_MALL"),

    /**
     * 浏览游戏活动
     */
    CALL_BACK_VIEW_CONTENT_ACTIVITY("CALL_BACK_VIEW_CONTENT_ACTIVITY"),

    //--------------- 头条APP回传事件 ---------------

    /**
     * 激活(巨量平台代表创角)
     */
    CALL_BACK_ACTIVATE("CALL_BACK_ACTIVATE"),

    /**
     * 登录
     */
    CALL_BACK_LOGIN_IN("CALL_BACK_LOGIN_IN");

    /**
     * 枚举值
     */
    private final String value;
}
